Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class NewMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod
                  org.codehaus.groovy.runtime.metaclass.NewMetaMethod

    public class NewMetaMethod
    extends ReflectionMetaMethod

Base class for NewInstanceMetaMethod and NewStaticMetaMethod

Field Summary
`protected static CachedClass[]` | `EMPTY_TYPE_ARRAY`
`protected CachedClass[]` | `bytecodeParameterTypes`

Fields inherited from class ReflectionMetaMethod
method

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`NewMetaMethod(CachedMethod method)`

Method Summary
`CachedClass[]` | `getBytecodeParameterTypes()`
`CachedClass` | `getDeclaringClass()`
`CachedClass` | `getOwnerClass()`

Methods inherited from class ReflectionMetaMethod
getDeclaringClass, getModifiers, getName, getPT, getReturnType, invoke, toString

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_TYPE_ARRAY

    protected static final CachedClass[] EMPTY_TYPE_ARRAY

### bytecodeParameterTypes

    protected CachedClass[] bytecodeParameterTypes

Constructor Detail

### NewMetaMethod

    public NewMetaMethod(CachedMethod method)

Method Detail

### getBytecodeParameterTypes

    public CachedClass[] getBytecodeParameterTypes()

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getOwnerClass

    public CachedClass getOwnerClass()

Copyright © 2003-2010 The Codehaus. All rights reserved.